<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'Thai';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'th_TH.TIS-620';
		break;

	default:
		$locale = 'th_TH';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'Tis-620',
'lang_multibyte'		=>	false,

// Notices
'Bad request'			=>	'Bad request. The link you followed is incorrect or outdated.',
'No permission'			=>	'سѺ͹حҵѧ˹ҹѺ',
'Bad referer'			=>	'HTTP_REFERER ١ͧ س١ѧ˹ҹҡ觷͹حҵ ô͹Ѻͧա ҡѧջѭôǨͺ \'Base URL\' ١١ͧǴ Admin/Options Фسѧ¡ùӷҧҡ URL ',

// Miscellaneous (used in many scripts)
'Guest Read Profile'             =>      'سͧк͹ ֧ö´ͧ餹',
'Announcement'			=>	'С',
'Options'				=>	'͡',
'Actions'				=>	'ӡ',
'Submit'				=>	'ŧ',	// "name" of submit buttons
'Ban message'			=>	'س١ЧѺҹҿ',
'Ban message 2'			=>	'öѹ',
'Ban message 3'			=>	'ͤҧͤͧسѺ س',
'Ban message 4'			=>	'Please direct any inquiries to the forum administrator at',
'Never'					=>	'',
'Today'					=>	'ѹ',
'Yesterday'				=>	'ҹ',
'Info'					=>	'´',		// a common table header
'Go back'				=>	'͹Ѻ',
'Maintenance'			=>	'ԴѺاѺ',
'Redirecting'			=>	'سѡ..',
'Click redirect'		=>	'ԡ ͧ Ͷ绺ӧҹ',
'Login required'		=>	'سк͹ФѺ',
'on'					=>	'Դҹ',		// as in "BBCode is on"
'off'					=>	'Դҹ',
'Invalid e-mail'		=>	'ٻẺ١ͧ',
'required field'		=>	' سҡ͡¤Ѻ',	// for javascript form validation
'Last post'				=>	'ͺش',
'by'					=>	'',	// as in last post by someuser
'New posts'				=>	' ',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'ѧԴشǢ͹',	// the popup text for new posts links
'Username'				=>	'ͼ',
'Password'				=>	'ʼҹ',
'E-mail'				=>	'',
'Send e-mail'			=>	'',
'Registered'			=>	'Ҫԡ',
'Subject'				=>	'Ǣ',
'Message'				=>	'ͤ',
'Topic'					=>	'Ǣ',
'Forum'					=>	'Ǵ',
'Posts'					=>	'¹',
'Replies'				=>	'ͺ',
'Author'				=>	'',
'Pages'					=>	'˹',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] tag',
'Smilies'				=>	'Smilies',
'and'					=>	'	',
'Image link'			=>	'image',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'¹',	// For [quote]'s
'Code'					=>	'Code',		// For [code]'s
'Mailer'				=>	'Mailer',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'ͤٻǹ',
'Member'				=>	'Ҫԡ',	// Default title
'Moderator'				=>	'Ǻ',
'Administrator'			=>	'Administrator',
'Banned'				=>	'ЧѺҹ',
'Guest'					=>	'͹',

// Stuff for include/parser.php
'BBCode error'			=>	'The BBCode syntax in the message is incorrect.',
'BBCode error 1'		=>	'Missing start tag for [/quote].',
'BBCode error 2'		=>	'Missing end tag for [code].',
'BBCode error 3'		=>	'Missing start tag for [/code].',
'BBCode error 4'		=>	'Missing one or more end tags for [quote].',
'BBCode error 5'		=>	'Missing one or more start tags for [/quote].',

// Stuff for the navigator (top of every page)
'Home'					=>	'Home',
'User list'				=>	'ªҪԡ',
'Rules'					=>  '',
'Search'				=>  '',
'Register'				=>  'ѤҪԡ',
'Login'					=>  'к',
'Not logged in'			=>  'سѧк',
'Profile'				=>	'ǹ',
'Logout'				=>	'͡ҡк',
'Logged in as'			=>	'к',
'Admin'					=>	'Admin',
'Last visit'			=>	'ش',

// Stuff for the page footer
'Show new posts'		=>	'ʴ੾ФӶաõͺ',
'Show unanswered posts'	=>	'ʴǢͷѧաõͺ',
'Show your posts'		=>	'ʴ੾ФԴ繢ͧس',
'Mark all as read'		=>	'ءͤ繢ͤҹ',
'Jump to'				=>	'ѧ',
'Go'					=>	'  ! ',		// submit button in forum jump
'Move topic'			=>  '¡з',
'Open topic'			=>  'Դз',
'Close topic'			=>  'Դз',
'Unstick topic'			=>  '¡ԡ ˵',
'Stick topic'			=>  '˵',
'Moderate forum'		=>	'Ǻ',
'Delete posts'			=>	'źԴ繷ʫѹ'

);
